Debian Bug report logs - #133170
libft-perl: Port to libfreetype6, libttf2 is now "old"

version graph

Package: libft-perl; Maintainer for libft-perl is (unknown);

Reported by: Javier Kohen <jkohen@users.sourceforge.net>

Date: Sun, 10 Feb 2002 05:48:05 UTC

Severity: serious

Tags: lenny, sid

Merged with 466773

Found in version 1.2-11

Fixed in version 1.2-16+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, perlftlib@packages.qa.debian.org:
Bug#133170; Package libft-perl. Full text and rfc822 format available.

Acknowledgement sent to Javier Kohen <jkohen@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to ISHIKAWA Mutsumi <ishikawa@linux.or.jp>, perlftlib@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Kohen <jkohen@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libft-perl: Port to libfreetype6, libttf2 is now "old"
Date: Sun, 10 Feb 2002 02:38:44 -0300
[Message part 1 (text/plain, inline)]
Package: libft-perl
Version: 1.2-11
Severity: wishlist

Oldlibs are ugly, bad, ugly!
Could this solve fttools crashes as a side effect?


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux jkohen 2.4.17 #1 sáb ene 5 06:36:54 ART 2002 i586
Locale: LANG=es_AR, LC_CTYPE=es_AR

Versions of packages libft-perl depends on:
ii  libc6                  2.2.5-3           GNU C Library: Shared libraries an
ii  libttf2                1.4pre.20011029-1 FreeType 1, The FREE TrueType Font
hi  perl                   5.6.1-5           Larry Wall's Practical Extraction 
hi  perl-base [perlapi-5.6 5.6.1-5           The Pathologically Eclectic Rubbis

-- 
Javier Kohen <jkohen@users.sourceforge.net>
Jabber: blashyrkh jkohen@jabber.org
ICQ: blashyrkh #2361802
http://www.jkohen.com.ar/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#133170; Package libft-perl. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA <ROBERTOJIMENOCA@terra.es>:
Extra info received and forwarded to list. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #10 received at 133170@bugs.debian.org (full text, mbox):

From: ROBERTOJIMENOCA <ROBERTOJIMENOCA@terra.es>
To: 133170@bugs.debian.org
Subject: Re: libft-perl: Port to libfreetype6, libttf2 is now "old"
Date: Sat, 29 May 2004 14:30:51 GMT
Should this library be upgraded to use libfreetype6 or should another
perl module like http://search.cpan.org/~caffiend/font_ft2_0.1.0/ be
used instead and this one removed from Debian?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#133170; Package libft-perl. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #15 received at 133170@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 133170@bugs.debian.org
Cc: control@bugs.debian.org
Subject: freetype1 deprecation
Date: Sun, 8 Jul 2007 13:02:09 +0200
severity 133170 important
thanks

Hi,
for Lenny we'd like to stop supporting two freetype packages in the archive.
freetype1 has been in oldlibs for Etch, it has very few reverse deps left
and we'll try to phase it out now.
Please adapt your package, so that it links against the regular freetype
package.

Cheers,
        Moritz





Severity set to `important' from `wishlist' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 08 Jul 2007 11:09:05 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2008 10:39:09 GMT) Full text and rfc822 format available.

Tags added: sid, lenny Request was from zobel@ftbfs.de (Martin Zobel-Helas) to control@bugs.debian.org. (Thu, 24 Jan 2008 16:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#133170; Package libft-perl. Full text and rfc822 format available.

Acknowledgement sent to Barry deFreese <bddebian@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #26 received at 133170@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: 133170@bugs.debian.org
Subject: Re: libft-perl: Port to libfreetype6, libttf2 is now "old"
Date: Wed, 13 Feb 2008 14:28:35 -0500
Hi,

I've looked at this fairly heavily (though I'm no expert developer).  It 
isn't a trivial task.  A lot of it is a 1-1 move to freetype2 but I have 
no idea what to do with the FACE_PROPERTIES stuff. 

Even talking to a couple of people at freetype.org, they couldn't help.

Thanks,

Barry deFreese




Forcibly Merged 133170 466773. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 23 Mar 2008 18:45:06 GMT) Full text and rfc822 format available.

Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Kohen <jkohen@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 133170-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 133170-done@bugs.debian.org
Subject: perlftlib has been removed from Debian, closing #133170
Date: Sat, 30 Aug 2008 09:49:49 +0100
Version: 1.2-16+rm

The perlftlib package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/279824 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues
http://Marco.Tondela.org




Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:28:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:35:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.